#include <stdlib.h>
#include <unistd.h>
#include <stdio.h>
#include <string.h>
#include <sys/wait.h>
#include <fcntl.h>

int main() {
	// apro prova.txt, solo scrittura, crea se non esiste, con permessi 644
	int fd = open("prova.txt", O_WRONLY | O_CREAT, 0644);

	int clone = dup(fd);

	// Scrivo su fd, va a finire su prova.txt
	write(fd, "ciao db", sizeof("ciao db"));

	// Scrivo su clone, va a finire lo stesso su prova.txt	
	write(clone, "\nciao 2", sizeof("\nciao 2"));

	return 0;
}
